edu.isi.pegasus.common.logging

## Class LogFormatterFactoryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - edu.isi.pegasus.common.util.FactoryException
        - - edu.isi.pegasus.common.logging.LogFormatterFactoryException

All Implemented Interfaces:
  java.io.Serializable

    public class LogFormatterFactoryException
    extends FactoryException

Class to notify of failures while instantiating Log Formatter implementations.

Version:
  $Revision$
Author:
  Karan Vahi
See Also:
  Serialized Form

### Field Summary

Fields
`static java.lang.String` `DEFAULT_NAME` The default classname that is associated with the exception.

### Fields inherited from class edu.isi.pegasus.common.util.FactoryException

`mClassname`

### Constructor Summary

Constructors
Constructor and Description
`LogFormatterFactoryException(java.lang.String msg)` Constructs a `LogFormatterFactoryException` with no detail message.
`LogFormatterFactoryException(java.lang.String msg, java.lang.String classname)` Constructs a `LogFormatterFactoryException` with the specified detailed message.
`LogFormatterFactoryException(java.lang.String msg, java.lang.String classname, java.lang.Throwable cause)` Constructs a `LogFormatterFactoryException` with the specified detailed message and a cause.
`LogFormatterFactoryException(java.lang.String msg, java.lang.Throwable cause)` Constructs a `LogFormatterFactoryException` with the specified detailed message and a cause.

### Method Summary

### Methods inherited from class edu.isi.pegasus.common.util.FactoryException

`convertException, convertException, convertException, getClassname`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DEFAULT_NAME

    public static final java.lang.String DEFAULT_NAME

The default classname that is associated with the exception.

See Also:
  Constant Field Values

### Constructor Detail

#### LogFormatterFactoryException

    public LogFormatterFactoryException(java.lang.String msg)

Constructs a `LogFormatterFactoryException` with no detail message. The associated classname is set to value specified by `DEFAULT_NAME`.

Parameters:
  `msg` - the detailed message.
See Also:
  `DEFAULT_NAME`

#### LogFormatterFactoryException

    public LogFormatterFactoryException(java.lang.String msg,
                                        java.lang.String classname)

Constructs a `LogFormatterFactoryException` with the specified detailed message.

Parameters:
  `msg` - is the detailed message.
  `classname` - the name of class that was trying to be instantiated or some other signifier like module name.

#### LogFormatterFactoryException

    public LogFormatterFactoryException(java.lang.String msg,
                                        java.lang.Throwable cause)

Constructs a `LogFormatterFactoryException` with the specified detailed message and a cause. The associated classname is set to value specified by `DEFAULT_NAME`.

Parameters:
  `msg` - is the detailed message that is to be logged.
  `cause` - is the cause (which is saved for later retrieval by the `Throwable.getCause()` method). A `null` value is permitted, and indicates that the cause is nonexistent or unknown.
See Also:
  `DEFAULT_NAME`

#### LogFormatterFactoryException

    public LogFormatterFactoryException(java.lang.String msg,
                                        java.lang.String classname,
                                        java.lang.Throwable cause)

Constructs a `LogFormatterFactoryException` with the specified detailed message and a cause.

Parameters:
  `msg` - is the detailed message that is to be logged.
  `classname` - the name of class that was trying to be instantiated.
  `cause` - is the cause (which is saved for later retrieval by the `Throwable.getCause()` method). A `null` value is permitted, and indicates that the cause is nonexistent or unknown.